GuideLab API

Create a treatment phase

Create a new treatment phase with an optional ordered task list. The phase sort order is set to the next available position.

POST
/treatment-phases

Create a new treatment phase with an optional ordered task list. The phase sort order is set to the next available position.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/treatment-phases" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "phase": {    "id": "string",    "labId": "string",    "name": "string",    "description": "string",    "sortOrder": 0,    "defaultOffsetDays": 0,    "isActive": true,    "color": "string",    "startPolicy": "string",    "leadTimeDays": 0,    "createdAt": "string",    "updatedAt": "string",    "taskCount": 0,    "tasks": [      {        "id": "string",        "taskId": "string",        "sortOrder": 0,        "isActive": true,        "clinicVisible": true,        "clinicTitle": "string",        "task": {          "id": "string",          "name": "string",          "description": "string",          "color": "string",          "icon": "string",          "completionTrigger": "string"        }      }    ]  }}
Empty
Empty
Empty
Empty